Subject: Re: [PATCH 17/61] bootwrapper: Add 8xx support.

From: Scott Wood <[email-masked]>
Date: Thu, 19 Jul 2007 10:04:57 -0500

David Gibson wrote:
> On Wed, Jul 18, 2007 at 11:13:05AM -0500, Scott Wood wrote:
>>Well, no.  Even on a given board, it depends on the version of u-boot.
>>
>>There's nothing after enet1addr that the bootwrapper cares about, 
>>though, so the only harm is if the device tree has a second network 
>>interface but u-boot doesn't know about it, and the bootwrapper ends up 
>>pulling in junk rather than leaving zeroes.
> 
> 
> That sounds like a terribly fragile way of handling things.

Yes, but that's inherent in the way the bd_t is defined.  The robust way 
is to get device tree support into u-boot.

-Scott